> For the complete documentation index, see [llms.txt](https://docs.purplesonar.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.purplesonar.com/alert-properties/hiring-alerts.md).

# Hiring alerts

## Triggers

Hiring alerts are triggered on two cases, representing the two alert types you can set:

* **job\_added**: when a company just added a new job posting
* **job\_removed**: when a company removed an existing job posting

On the json payload, the **`type`** property allows you to identify the type of alert that has been triggered:

```javascript
{
  "event_id": 458325,
  "timestamp": "2020-04-23T12:25:32.209Z",
  "type": "job_added", // <<<< This is where you can identify the alert type
  "alert_name": "Hiring in marketing", 
  "event_verbose": "Acme Co. added a job: Marketing Lead",
  "domain": "acme.co",
  
  ...
```

## Default properties

Both job\_added and job\_removed alert types send the same 2 event properties under the "event\_properties" key:

| key           | type   | options |
| ------------- | ------ | ------- |
| job\_title    | string | Open    |
| job\_location | string | Open    |

### Job added

```javascript
"event_properties": {
    "job_title": "Marketing Lead",
    "job_location": "Los Angeles, CA"
  },
```

### Job removed

```javascript
"event_properties": {
    "job_title": "Marketing Lead",
    "job_location": "Los Angeles, CA"
  },
```

## Payload example

```javascript
{
  "event_id": 458325,
  "timestamp": "2020-01-01T12:25:32.209Z",
  "type": "job_added",
  "alert_name": "Hiring in Marketing",
  "event_verbose": "Acme Co. added a job: Marketing Lead",
  "domain": "acme.co",
  "event_properties": {
    "job_title": "Marketing Lead",
    "job_location": "Los Angeles, CA",
  },
  "company_properties": {
    "company_name": "Acme.co",
    "alexa_rank": null,
    "country": "United States",
    "location": "San Francisco, 94103 CA",
    "industry": "Food & Beverages",
    "employees_range": "1-10",
    "social_linkedin_url": "linkedin.com/company/acme",
    "social_facebook_url": "/acme",
    "social_twitter_url": null,
    "year_founded": 2011
  }
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.purplesonar.com/alert-properties/hiring-alerts.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
